NVME-ID-NS(1)

NAME
nvme-delete-ns - Send NVMe Namespace Management delete namespace command, return result.

SYNOPSIS

nvme delete-ns <device> [--namespace-id=<nsid> | -n <nsid>]
                        [--output-format=<fmt> | -o <fmt>] [--verbose | -v]
                        [--timeout=<timeout> | -t <timeout>]

DESCRIPTION

For the NVMe device given, sends an nvme namespace management command to delete the requested namespace and provides the result.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1). The '--namespace-id' option is mandatory.

OPTIONS

-n <nsid>, --namespace-id=<nsid>
    The namespace identifier to delete.

-o <fmt>, --output-format=<fmt>
    Set the reporting format to normal, json or binary. Only one output format can be used at a time.

-v, --verbose
    Increase the information detail in the output.

-t <timeout>, --timeout=<timeout>
    Override default timeout value 120,000. In milliseconds.

EXAMPLES

No examples yet.

NVME

Part of the nvme-user suite